package com.example.patientmonitoring;

import androidx.appcompat.app.AppCompatActivity;

import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import io.paperdb.Paper;

public class HomeActivity extends AppCompatActivity {

    private Button KeyinBtn, HistoryBtn, PatientListBtn, ProfileCt;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Paper.init(this);
        setContentView(R.layout.activity_home);
        getSupportActionBar().setTitle("Home");
        Paper.book().write("user", "101");

        KeyinBtn = (Button) findViewById(R.id.keyin_btn);
        HistoryBtn = (Button) findViewById(R.id.history_btn);
        PatientListBtn = (Button) findViewById(R.id.patientlist_btn);
        ProfileCt = (Button) findViewById(R.id.profilecaretaker_btn);

        KeyinBtn.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View view)
            {
                Intent intent = new Intent(HomeActivity.this, KeyinActivity.class);
                startActivity(intent);
            }
        });

        HistoryBtn.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View view)
            {
                Intent intent = new Intent(HomeActivity.this, HistoryActivity.class);
                startActivity(intent);

            }
        });

        PatientListBtn.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View view)
            {
                Intent intent = new Intent(HomeActivity.this, PatientListActivity.class);
                startActivity(intent);

            }
        });

        ProfileCt.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View view)
            {
                Intent intent = new Intent(HomeActivity.this, ProfileCaretakerActivity.class);
                startActivity(intent);

            }
        });
    }
}


